.ds-faq {
    --background_color: var(--Transparent);
    --text_color: var(--Neutral-900);
    --link_color:  var(--text_color);

    --acc_gutter_x: 1.5rem 5.125rem;

    --acc_border_color: var(--Neutral-300);
    --acc_background_color: var(--Transparent);
    --acc_text_color: var(--text_color);

    --anim_duration: 300ms;

    background-color: var(--background_color);
}

.c-ds.ds-faq {
    color: var(--text_color);
}

.c-ds.ds-faq a:not(.ds-btn) {
    color: var(--link_color);
}

.ds-faq .ds-faq__body {
    max-width: calc(68.75rem + var(--ds-gutter-x));
}

.ds-faq .ds-section-title {
    margin-block-end: 2.5rem;
		color: var(--title_color);
		line-height: 1.16666667;
		font-family: 'Inter', sans-serif !important;
		font-size: 1.5rem;
}

.ds-faq-acc {
    margin: 0;
    padding: 0;
    list-style-type: none;

    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.ds-faq-acc-item {
    position: relative;

    border: 0.0625rem solid var(--acc_border_color);
    border-radius: 0.75rem;

    background-color: var(--acc_background_color);
    color: var(--acc_text_color);

    transition: box-shadow var(--anim_duration), background-color var(--anim_duration), border-color var(--anim_duration);
}

.ds-faq-acc-item-q {
    margin-block: 0;
}

.ds-faq-acc-item-btn {
    appearance: none;
    margin: 0;
    border: none;

    background: none;

    position: relative;

    padding-block: 1.875rem;
    padding-inline: var(--acc_gutter_x);

    text-align: start;

    width: 100%;

    font-weight: 600;
    font-size: 1rem;
    line-height: 1.5;
    letter-spacing: 0.02rem;

    color: var(--acc_title_color);

    transition: padding var(--anim_duration), color var(--anim_duration);
}

.ds-faq-acc-item-btn:before,
.ds-faq-acc-item-btn:after {
    content: '';

    position: absolute;

    pointer-events: none;

    width: 1.3125rem;
    height: 0.1875rem;

    border-radius: 0.1875rem;

    background-color: var(--acc_title_color);

    inset-inline-end: 1.875rem;
    inset-block-start: 50%;

    margin-block-start: -0.0938rem;
}

.ds-faq-acc-item-btn:after {
    transform: rotate(90deg);

    transition: transform var(--anim_duration) linear;
}

.ds-faq-acc-item-a {
    display: none;

    font-size: 1rem;
    line-height: 1.5;
    letter-spacing: 0.0175rem;
		font-weight: 300;

    padding-block: 0.5rem 1rem;
    padding-inline: var(--acc_gutter_x);

    max-width: 46.8125rem;

		transition: color var(--anim_duration);
}

.-opened- .ds-faq-acc-item-btn:after {
    transform: rotate(180deg);
}

.-opened- .ds-faq-acc-item-btn {
    padding-block: 1rem;
}

@media (min-width:992px) {
	.ds-faq-acc-item-btn {
		font-weight: 600;
	}

	.ds-faq .ds-section-title {
		font-size: 2rem;
		line-height: 1.1875;
	}
}

@media (hover:hover) {
    .ds-faq-acc-item:hover {
        box-shadow: inset 0 0 0 0.0625rem var(--acc_border_color_hover, var(--acc_border_color));
				background-color: var(--acc_background_color_hover, var(--acc_background_color));
				border-color: var(--acc_border_color_hover, var(--acc_border_color));
    }

		.ds-faq-acc-item:hover .ds-faq-acc-item-btn {
			color: var(--acc_title_color_hover, var(--acc_title_color));
		}

		.ds-faq-acc-item:hover .ds-faq-acc-item-a {
			color: var(--acc_text_color_hover, var(--acc_text_color));
		}

		.ds-faq-acc-item:hover .ds-faq-acc-item-btn:before,
		.ds-faq-acc-item:hover .ds-faq-acc-item-btn:after {
			background-color: var(--acc_title_color_hover, var(--acc_title_color));
		}
}
